libao-1.2.2-alt3.i586.rpm


Advertisement

Description

libao - Cross Platform Audio Output Library

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package name libao
Package version 1.2.2
Package release alt3
Package architecture i586
Package type rpm
Installed size 61.06 KB
Download size 61.06 KB
Official Mirror ftp.altlinux.org
Libao is a cross platform audio output library.
It currently supports ALSA and PULSE.

Alternatives

Package Version Architecture Repository
libao-1.2.2-alt3.x86_64.rpm 1.2.2 x86_64 Classic
libao - - -

Requires

Name Value
libasound.so.2 -
libasound.so.2(ALSA_0.9) -
libasound.so.2(ALSA_0.9.0rc4) -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libdl.so.2(GLIBC_2.0) -
libdl.so.2(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.0) -
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -

Provides

Name Value
libao = 1:1.2.2-alt3
libao-alsa = 1.2.2-alt3
libao.so.4 -
libao.so.4(LIBAO4_1.1.0) -
libao.so.4(LIBAO4_1.2.0) -

Obsoletes

Name Value
libao-alsa < 1.2.2-alt3

Download

Type URL
Binary Package libao-1.2.2-alt3.i586.rpm
Source Package libao-1.2.2-alt3.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libao rpm package:
    # sudo apt-get install libao

Files

Path
/etc/libao.conf
/usr/lib/libao.so.4
/usr/lib/libao.so.4.1.1
/usr/lib/ao/
/usr/lib/ao/plugins-4/libalsa.so
/usr/share/man/man5/libao.conf.5.xz

Changelog

2017-12-01 - Michael Shigorin <mike@altlinux.org> 1:1.2.2-alt3
- generalized optflags fixup (ldv@)
2017-12-01 - Michael Shigorin <mike@altlinux.org> 1:1.2.2-alt2
- introduce pulse knob (on by default)
- E2K: "-O20" is a bit too much!
+ see also https://github.com/kripken/emscripten/issues/264
- minor spec cleanup
2017-11-05 - Vladimir D. Seleznev <vseleznv@altlinux.org> 1:1.2.2-alt1
- 1.2.2
- fixed pulse plugin (ALT#33125)
2011-03-28 - Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.0-alt1
- 1.1.0
2010-10-23 - Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.0-alt2
- patch from upstream: libao-1.0.0 pulseaudio fix
2010-03-26 - Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.0-alt1
- 1.0.0
2010-02-26 - Valery Inozemtsev <shrek@altlinux.ru> 1:0.8.8-alt4
- added serial
2009-07-28 - Valery Inozemtsev <shrek@altlinux.ru> 0.8.8-alt3
- enabled pulse plugin
2008-12-09 - Valery Inozemtsev <shrek@altlinux.ru> 0.8.8-alt2
- disabled arts, esd, nas, oss plugins

See Also

Package Description
libao-devel-1.2.2-alt3.i586.rpm Development files for libao
libao-pulse-1.2.2-alt3.i586.rpm PulseAudio output plugin for libao
libaom-0.1-alt1.git6cd8e17.i586.rpm AV1 Codec Library
libaom-devel-0.1-alt1.git6cd8e17.i586.rpm Development files for libaom
libaom-tools-0.1-alt1.git6cd8e17.i586.rpm Tools for libaom
libaosd-0.2.7-alt3.i586.rpm An Advanced On-Screen Display Library
libaosd-devel-0.2.7-alt3.i586.rpm An Advanced On-Screen Display Library
libaosd-text-0.2.7-alt3.i586.rpm An Advanced On-Screen Display Library
libapiextractor-0.10.11-alt2.git20130522.i586.rpm Development of bindings of Qt-based libraries for high level languages
libapiextractor-devel-0.10.11-alt2.git20130522.i586.rpm Development files of the API Extractor
libapm-3.2.2-alt6.qa1.i586.rpm The shared library for interacting with the kernel APM driver
libapm-devel-3.2.2-alt6.qa1.i586.rpm The development library and header files for APM
libapogee-3.0.3234-alt1_8.1.i586.rpm Library for Apogee CCD Cameras
libapogee-devel-3.0.3234-alt1_8.1.i586.rpm Libraries, includes, etc. used to develop an application with libapogee
libappindicator-12.10.0-alt8.1.i586.rpm Application indicators library
Advertisement
Advertisement